<?php
require_once './source/class/class_core.php';

$xc = & xc_core::instance();
$xc->init();
extract($xc->_G);

$mods = array('license', 'childselect', 'configurate', 'check', 'convert', 'dealdata', 'import', 'exec', 'stats', 'report', 'finish', 'getlogging');
$mod = empty($mod) ? 'license' : $mod;

if(in_array($mod, $mods)) {
	require_once XCONVERT_ROOT.'./source/module/'.$mod.'.inc.php';
} else {
	showmessage('invalid_action', '', 'message');
}
?>